.landing-page {
  height: 100vh;
  width: 100%;
  background-color: #0b3048;
  .container {
    height: 100%;
    width: 100%;
    background-color: #0b3048;
    .content {
      position: relative;
      padding: 40px 60px;
      display: flex;
      flex-flow: column;
      align-items: center;
      justify-content: center;
      z-index: 1;
      h2.branding {
        font-size: 6rem;
        font-weight: 600;
        letter-spacing: 1rem;
        line-height: 120%;
        background: linear-gradient(
          rgb(87, 236, 153),
          rgb(19, 113, 239),
          rgb(252, 28, 213),
          rgb(252, 204, 5)
        );
        -webkit-text-fill-color: transparent;
        -webkit-background-clip: text;
      }
      p.tagline {
        padding: 15px 30px;
        background-color: #0c2536;
        border-radius: 15px;
        color: #399dd4;
        font-size: 3.5rem;
        font-weight: 600;
        letter-spacing: 0.6rem;
        line-height: 120%;
        margin-top: 30px;
      }
      .signup-early-access {
        width: 100%;
        margin-top: 30px;
        display: flex;
        flex-flow: row;
        align-items: center;
        justify-content: center;

        form {
          display: flex;
          flex-flow: column;
          gap: 25px;
          align-items: center;
          justify-content: center;
          height: 200px;
          width: 50%;
          min-width: 600px;
          margin: auto;
          input {
            padding: 15px 30px;
            width: 80%;
            background-color: #091f2d;
            border: 0;
            outline: 1px solid #4aecb1;
            border-radius: 10px;
            color: #4aecb1;
            font-size: 1.5rem;
            line-height: 120%;
            font-weight: 500;
          }

          #email {
            min-width: 520px;
          }

          #submit {
            width: 30%;
            max-width: 200px;
          }
        }
      }
    }

    .banner-image-container-first,
    .banner-image-container-second {
      position: absolute;
      width: 100%;
      top: 100%;
      transform: translate(0, -45%);
      z-index: 0;
      img {
        width: 100%;
      }
    }
  }
}

@media screen and (max-width: 1280px) {
  html,
  body {
    font-size: 80%;
  }
}

@media screen and (max-width: 1023px) {
  html,
  body {
    font-size: 70%;
  }
  .landing-page {
    .container {
      .content {
        padding: 30px 40px;
        .signup-early-access {
          form {
            height: 170px;
          }
        }
      }
    }
  }
}

@media screen and (max-width: 910px) {
  html,
  body {
    font-size: 65%;
  }
}

@media screen and (max-width: 820px) {
  html,
  body {
    font-size: 55%;
  }
}

@media screen and (max-width: 730px) {
  html,
  body {
    font-size: 50%;
  }
  .landing-page {
    .container {
      .content {
        .signup-early-access {
          form {
            height: 140px;
            min-width: 500px;
            input#email {
              min-width: 80%;
            }
          }
        }
      }
    }
  }
}

@media screen and (max-width: 680px) {
  .landing-page {
    .container {
      .content {
        .signup-early-access {
          form {
            min-width: 420px;
            input {
              padding: 10px 20px;
            }
          }
        }
        p.tagline {
          font-size: 2.5rem;
        }
      }
    }
  }
}

@media screen and (max-width: 620px) {
  .landing-page {
    .container {
      .content {
        .signup-early-access {
          form {
            min-width: 320px;
            height: 100px;
            width: 95%;
            input#submit {
              width: auto;
              max-width: none;
            }
          }
        }
        p.tagline {
          font-size: 2rem;
          width: 100%;
          text-align: center;
        }
      }
    }
  }
}

@media screen and (max-width: 520px) {
  .landing-page {
    .container {
      .content {
        p.tagline {
          font-size: 1.5rem;
        }
      }
    }
  }
}

@media screen and (max-width: 460px) {
  html,
  body {
    font-size: 40%;
  }
  .landing-page {
    .container {
      .content {
        p.tagline {
          font-size: 1.5rem;
        }
        .signup-early-access {
          form {
            height: 100px;
            min-width: 240px;
          }
        }
      }
    }
  }
}

@media screen and (max-width: 420px) {
  html,
  body {
    font-size: 40%;
  }
  .landing-page {
    .container {
      .content {
        .signup-early-access {
          margin-top: 15px;
          form {
            height: 90px;
            min-width: 240px;
            gap: 15px;
          }
        }
        p.tagline {
          font-size: 1.5rem;
          letter-spacing: 0.4rem;
          padding: 10px 15px;
          border-radius: 5px;
        }
      }
    }
  }
}

@media screen and (max-width: 350px) {
  html,
  body {
    font-size: 40%;
  }
  .landing-page {
    .container {
      .content {
        p.tagline {
          font-size: 1.3rem;
        }
      }
    }
  }
}
